import request from '@/utils/request'

// 查询户籍疫苗信息列表
export function listInfo(query) {
  return request({
    url: '/boman-web-core/core/account/nucleicAcid/hj',
    method: 'get',
    params: query
  })
}

// 查询居住地址疫苗信息列表
// export function listInfos(query) {
//   return request({
//     url: '/boman-web-core/core/jzdz/list',
//     method: 'get',
//     params: query
//   })
// }
export function listInfos(query) {
  return request({
    url: '/boman-web-core/core/account/nucleicAcid/jzdz',
    method: 'get',
    params: query
  })
}

export function listInfotj(query) {
  return request({
    url: '/boman-web-core/core/czrk/vaccineStatistics',
    method: 'get',
    params: query
  })
}


// 新增人员列表
export function listInfotjxz(query) {
  return request({
    url: '/boman-web-core/core/czrk/listByXz',
    method: 'get',
    params: query
  })
}

// 减少人员列表
export function listInfotjjs(query) {
  return request({
    url: '/boman-web-core/core/czrk/listByJs',
    method: 'get',
    params: query
  })
}

// boman-web-core/core/czrk/family
// 家庭成员信息
export function listInfotjjsfaml(query) {
  return request({
    url: '/boman-web-core/core/czrk/family/' + query,
    method: 'get'
    // params: query
  })
}


// 一键确认
// export function listInfotjjssbule(query) {
//   console.log(query)
//   return request({
//     url: '/boman-web-core/core/ryrl/confirmInfo/' + query ,
//     method: 'get'
//     // params: query
//   })
// }
export function listInfotjjssbule(query) {
  console.log(query)
  return request({
    url: '/boman-web-core/core/czrk/synchronization/' + query ,
    method: 'get'
    // params: query
  })
}





// 查询疫苗信息详细
export function getInfo(id) {
  return request({
    url: '/boman-web-core/core/ryrl/getById/' + id,
    method: 'get'
  })
}
// export function getInfo(id) {
//   return request({
//     url: '/boman-web-core/core/czrk/getById/' + id,
//     method: 'get'
//   })
// }

// 户籍地址 新增修改
export function listRoleer(data) {
  return request({
    url: '/boman-web-core/administrativeInfo/treeSelect',
    method: 'get',
    // data
  })
}

// 户籍地址 新增修改
export function listRoleergth(data) {
  return request({
    url: '/boman-system/chinaArea/treeSelect',
    method: 'post',
    data: data
  })
}


// 网格
export function listRoleergthwg(data) {
  return request({
    url: '/boman-web-core/gridInfo/treeSelect',
    method: 'post',
    data: data
  })
}


// 户籍地址搜索
export function listRoleerseavh(data) {
  return request({
    url: '/boman-web-core/administrativeInfo/treeSelectVillage',
    method: 'get',
    // data
  })
}


// /boman-web-core/core/ryrl/addRlry
// 新增人员信息
export function addInfo(data) {
  return request({
    url: '/boman-web-core/core/czrk/addCzrk',
    method: 'post',
    data: data
  })
}

// boman-web-core/core/ryrl/editRlry
// 修改疫苗信息
export function updateInfo(data) {
  return request({
    url: '/boman-web-core/core/czrk/editCzrk',
    method: 'post',
    data: data
  })
}

// boman-web-core/core/czrk/deleteCzrk
// 删除疫苗信息
export function delInfo(query) {
  return request({
    url: '/boman-web-core/core/czrk/changeCzrk' ,
    method: 'post',
    data: query

  })
}

// 导出疫苗信息
export function exportInfo(query) {
  return request({
    url: '/boman-web-core/core/info/export',
    method: 'post',
    data: query
  })
}

// 查询身份证信息
// export function idces(query) {
//   return request({
//     url: '/boman-web-core/core/info/findHjInfo',
//     method: 'post',
//     data: query
//   })
// }
// 一键同步信息

export function listInfotjjssquer(query) {
 return request({
    url: '/boman-web-core/core/czrk/synchronization/' +  query,
    method: 'get'
    // params: query
  })
}

// 查询身份证信息
export function idces(query) {
  return request({
    url: '/boman-web-core/core/czrk/findHjInfo',
    method: 'post',
    data: query
  })
}


// 导出参数
export function exportConfig(query) {
  return request({
    url: '/boman-file/common/file/async/export',
    method: 'post',
    data: query
  })
}

// 导出参数
export function exportConfigtyr(query) {
  return request({
    url: '/boman-file/common/file/before/download ',
    method: 'get',
    params: query
  })
}

// 删除疫苗名称信息
export function delInfort(id) {
  return request({
    url: '/boman-web-core/core/info/vaccineInfoUser/' + id,
    method: 'get'
  })
}

// 列表查看疫苗信息
export function yiaoe(query) {
  return request({
    url: '/boman-web-core/core/info/findInfoUser',
    method: 'post',
	data: query
  })
}

// 导出错误日志
export function importLog(query){
  return request({
    url: '/boman-web-core/ymjzImportError/list',
    method: 'get',
    data: query
  })
}
